Bug 983386 - External monitor connected with miniDP adapter gives wrong resolutions
External monitor connected with miniDP adapter gives wrong resolutions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
18
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 02:20 EDT by vincentvdk
Modified: 2014-02-05 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:06:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 56834 None None None Never

  None (edit)
Description vincentvdk 2013-07-11 02:20:23 EDT
Description of problem:

Wehn I connect an external monitor to my laptop with a MiniDipsplayPort adapter, it doesn't show all the available resolutions. The monitor supports 1920x1080 while xrandr reports up to 1024x768.

Version-Release number of selected component (if applicable):

intel driver  
------------
xorg-x11-drv-intel 
Version     : 2.21.8
Release     : 1.fc18

How reproducible:
Connect external screen to laptop with MiniDiplayPort adapter

Steps to Reproduce:
1. connect screen
2. try to set the resolution



Actual results:

Not all supported reolutions are shown



Expected results:

All supported resolutions should be available.



Additional info:

Laptop type : Dell XPS13 (sputnik project with Ubuntu)

xrandr output 
-------------
→ xrandr 
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 8192 x 8192
eDP1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 294mm x 165mm
   1920x1080      60.0*+   40.0  
   1400x1050      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0* 
   800x600        60.3     56.2  
   848x480        60.0  
   640x480        59.9  

Dmesg shows this :

[  642.088252] [drm:intel_dp_i2c_aux_ch] *ERROR* too many retries, giving up
Comment 1 vincentvdk 2013-07-11 02:25:57 EDT
Some additional info:

When I initially installed F18, the screen could be used with the correct resolution.

current kernel : 3.9.6-200.fc18.x86_64

Output of monitor-edid

EISA ID: CMN1345
EDID version: 1.4
EDID extension blocks: 0
Screen size: 29.4 cm x 16.5 cm (13.27 inches, aspect ratio 16/9 = 1.78)
Gamma: 2.2
Digital signal

	# Monitor preferred modeline (60.0 Hz vsync, 66.7 kHz hsync, ratio 16/9, 165 dpi)
	ModeLine "1920x1080" 138.78 1920 1966 1996 2080 1080 1082 1086 1112 -hsync +vsync

	# Monitor supported modeline (40.0 Hz vsync, 44.5 kHz hsync, ratio 16/9, 165 dpi)
	ModeLine "1920x1080" 92.52 1920 1966 1996 2080 1080 1082 1086 1112 -hsync +vsync
Comment 2 vincentvdk 2013-11-10 10:55:17 EST
Hi, 

I gave this another go since running Ubuntu is not really my thing. When I run this I can get the ecternal screen screen to work with the correct resolution

Fedora20 Aplpha

[root@localhost ~]# xrandr --newmode 1920x1080_ 173.00 1920 2048 2248 2576  1080 1083 1088 1120 -hsync +vsync
[root@localhost ~]# xrandr --addmode DP1 1920x1080_
[root@localhost ~]# xrandr --output DP1 --mode 1920_1080_
Comment 3 Fedora End Of Life 2013-12-21 09:18:15 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 17:06:22 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.